Subject: Re: bug#11302: Automake 1.11d on openSUSE 12.1

From: Stefano Lattarini <[email-masked]>
Date: Sat, 21 Apr 2012 20:55:19 +0200

Hi Bruno, thanks for the report.

On 04/21/2012 07:35 PM, Bruno Haible wrote:
> Stefano Lattarini wrote:
>> The beta release "1.11d" of Automake is now available at
>> <ftp://alpha.gnu.org/gnu/automake/>.
> 
> On openSUSE 12.1 x86_64: 9 tests failed.
> 
> FAIL: t/depcomp2.sh
> FAIL: t/posixsubst-libraries.sh
> FAIL: t/posixsubst-ltlibraries.sh
> FAIL: t/posixsubst-scripts.sh
> FAIL: t/tap-summary-color.sh
> FAIL: t/transform3.sh
> FAIL: t/vala-vapi.sh
> FAIL: t/vala-mix.sh
> FAIL: t/vala-mix2.sh
> 
> Autoconf version is 2.68.
> 
> Details from test-suite.log:
> 
> 
> FAIL: t/depcomp2
> ================
> 
> [SNIP]
>
> configure: WARNING: if you wanted to set the --build type, don't use --host.
>     If a cross compiler is detected then cross compile mode will be used
> + test '!' -s stderr
> + exit_status=1
> + set +e
> + cd /data/home-susekde4/bruno/data/build/multibuild-2074/linux/automake-1.11d
> + test no = yes
> + case $am_explicit_skips in
> + test 1 -eq 0
> + keep_testdirs=yes
> + am_keeping_testdirs
> + case $keep_testdirs in
> + return 0
> + set +x
> depcomp2: exit 1
> 
> The file 'stderr' is not empty: It contains this two-line warning
>
>   configure: WARNING: if you wanted to set the --build type, don't use --host.
>       If a cross compiler is detected then cross compile mode will be used
>
> This is because I configured with the arguments
>
>   --host=x86_64-pc-linux-gnu \
>   --prefix=/home/bruno/data/build/prefix-linux-x86_64 \
>   --libdir=/home/bruno/data/build/prefix-linux-x86_64/lib64
>
> Apparently this led to a host_alias variable being passed to sub-configures:
>
The autoconf manual reads:

    For historical reasons, whenever you specify --host, be sure to specify
    --build too; this will be fixed in the future.  So, to enter cross
    compilation mode, use a command like this:

        ./configure --build=i686-pc-linux-gnu --host=m68k-coff

Does the error disappear if you also pass the '--build' option to configure?

> FAIL: t/tap-summary-color
> =========================
> 
> [SNIP]
> This is probably because I'm executing the tests through an ssh login:
>   ssh $machine 'cd ...; ./configure; make; make check'
> and in this situation the executing process is not connected to a tty,
> and maybe the TERM variable is not set.
>
Exactly.  I had already fixed this issue yesterday:
<http://lists.gnu.org/archive/html/automake-patches/2012-04/msg00123.html>

> The vala-* test failures are being discussed in another thread
> <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11093>.
>
And they are now fixed, right?

I will reply about the other failures in a later mail.

Thanks,
  Stefano